<!DOCTYPE html>
<html lang="en">

<head>

    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Meta -->
    <meta name="description" content="Serviceblick Account-Verwaltung">
    <meta name="author" content="www.serviceblick.com">

    <title data-i18n="ServiceBLICK user management"></title>
    <!-- vendor css -->
    <link rel="stylesheet" href="/style-global/lib/fontawesome-free/css/all.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/ionicons/css/ionicons.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/typicons.font/typicons.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/bootstrap-table/css/bootstrap-table.min.css?v=[cs_version]">
    {% include 'snippets/global-header-include.tpl' %}
    <!-- global CSS -->
    <link rel="stylesheet" href="/style-global/css/azia-global.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/css/serviceblick-global.css?v=[cs_version]">
    <link rel="stylesheet" href="css/dashboard-custom.css?v=[cs_version]">

</head>

<body id="page-top" class="az-body">
{% include 'snippets/pb-loader.tpl' %}
{% include 'snippets/guide/container-modal.tpl' %}
<div id="contentwrapper" style="display:none;" class="az-body">
    <div class="az-header">
        <div class="container">
            <div class="az-header-left">
                <a href="" id="azContentLeftShow" class="az-header-arrow d-block d-lg-none"><i class="icon ion-md-arrow-back"></i></a>
                <a href="index.html" class="az-logo"><span></span><img class="az-logo" src="/style-global/img/icons/account.png" alt="/style-global/img/icons/account.png"></a>
                <a href="index.html"><span class="nav-link text-dark tx-20" data-i18n="account management"></span></a>
            </div><!-- az-header-left -->
            <div class="az-header-menu">
                <div class="az-header-menu-header">
                    <a href="index.html" class="az-logo"><span></span><img class="az-logo" src="/style-global/img/icons/account.png" alt="Account-Verwaltung"></a>
                    <a href="" class="close">&times;</a>
                </div><!-- az-header-menu-header -->
            </div><!-- az-header-menu -->

            <div class="az-header-right">
                <div data-permission="dashboard" class="az-header-notification mg-l-10 hidden" data-hint="Start a tour at anytime from the help menu." data-hint-position="middle-top">
                    <a href="#" data-toggle="modal" data-target="#modal_help" id="help">
                        <i class="icon ion-ios-help-circle-outline" data-toggle="tooltip" title="" data-original-title="Hilfe"></i></a>
                </div>
                {% include 'snippets/header-apps-menu.tpl' %}
                {% include 'snippets/header-profile-menu.tpl' %}
            </div><!-- az-header-right -->
        </div><!-- container -->
    </div><!-- az-header -->

    <div class="az-content az-content-mail">
        <div class="container">
            <div class="az-content-left az-content-left-mail  az-content-left-components">
                <div class="az-content-header">
                    <!-- use if there is main menu that needs to be displayed in mobile view <a href="" id="azMenuShow" class="az-header-menu-icon"><span></span>-->
                    <a href="" id="azContentLeftHide" class="az-header-arrow">
                        <i class="icon ion-md-arrow-forward d-sm-none"></i>
                        <i class="icon ion-md-close d-none d-sm-block"></i>
                    </a>
                </div><!-- az-content-header -->
                {% include 'snippets/content-left-account-nav.tpl' %}
            </div><!-- az-content-left -->

            <div class="az-content-body az-content-body-mail pd-l-40 pd-r-40">
                <div class="az-content-breadcrumb">
                    <span>Dashboard</span>
                    <span>Kontoverwaltung</span>
                    <span>Benutzer</span>

                </div>
                <div class="d-flex justify-content-between ">
                    <h2 class="az-content-title" data-i18n="User management">Benutzerverwaltung</h2>

                </div>

                <div id="invite-login-wrapper" data-permission='dashboard.management.usermanagement.invite' class="row mg-b-20 hidden">
                    <div class="col">
                        <div class="az-content-label tx-13 mg-b-5" data-i18n="Invite person to register"></div>
                        <p class="mg-b-20" data-i18n="Please enter the email address to which the invitation should be sent. This person will receive an email with a link to complete the registration.">Bitte geben Sie die E-Mail Addresse ein, an die die Einladung geschickt werden soll. Diese Person erhält eine E-Mail mit einem Link, um die Registrierung abzuschließen.
                        </p>
                        <div class="d-sm-flex wd-sm-400">
                            <div class="form-group mg-b-0">
                                <label class="form-label">E-Mail: <span class="tx-danger">*</span></label>
                                <input id="invite_email" type="email" class="form-control wd-sm-250" placeholder="me@example.com" required>
                                <span role="alert" id="invite_emailError" class="error" aria-hidden="true" data-i18n="Please enter a valid email address.">
                            Bitte eine gültige E-Mail-Adresse eingeben.
                        </span>
                            </div><!-- form-group -->
                            <div class="mg-sm-l-10 mg-t-10 mg-sm-t-25">
                                <button id="invite_now" class="btn btn-az-primary pd-x-20" data-i18n="invite">Einladen</button>
                            </div>
                        </div>
                    </div><!-- col -->
                </div><!-- row -->

                <hr class="mg-y-20">

                <div id="create-login-wrapper" data-permission='dashboard.management.usermanagement.create_login' class="row mg-b-20 hidden">
                    <div class="col">
                        <div class="az-content-label tx-13 mg-b-5" data-i18n="Create new login">Neue Login erstellen</div>
                        <p class="mg-b-20" data-i18n="Here you can create new Logins">Hier können Sie neue Logins anlegen
                        </p>
                        <div class="wd-sm-250">
                            <div class="d-md-flex">
                                <div class="form-group mg-b-0">
                                    <label class="form-label">Login: <span class="tx-danger">*</span></label>
                                    <input id="newloginemail" type="input" class="form-control wd-sm-250" placeholder="Login eingeben" required>
                                    <span role="alert" id="newloginemailError" class="error" aria-hidden="true" data-i18n="Please enter a login name or email address.">
                                        Bitte einen Login-Namen oder eine E-Mail-Adresse eingeben.
                                    </span>
                                </div><!-- form-group -->
                                <div class="form-group mg-b-0 mg-md-l-20 mg-t-20 mg-md-t-0">
                                    <label class="form-label">Passwort: <span class="tx-danger">*</span></label>
                                    <div class="password-combo">
                                        <input id="newloginpassword" type="password" class="form-control wd-sm-250" placeholder="Passwort eingeben" required="" pattern="^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=(.*[!@#$%^&*()\-__+.]){1,})\S{8,}$" placeholder="mindestens 8 Zeichen"><span class="btn" id="pw-toggle"><i class="far fa-eye" ></i></span>
                                    </div>
                                    <span role="alert" id="newloginpasswordError" class="error" aria-hidden="true" data-i18n="The password must contain at least 8 characters without spaces, with at least 1 uppercase, 1 lowercase, 1 number and 1 special character">
                                        Das Passwort muss mindestens 8 Zeichen ohne Lehrzeichen, mit mindestens 1 Groß-, 1 Kleinbuchstaben, 1 Ziffer und 1 Sonderzeichen enthalten.
                                    </span>
                                    <div id="message">
                                        <p id="length" class="invalid" data-i18n="pw error length">Your password must contain a minimum 8 characters,</p>
                                        <p id="letter" class="invalid" data-i18n="pw error letter">At lease 1 lowercase letter,</p>
                                        <p id="capital" class="invalid" data-i18n="pw error capital">1 capital letter,</p>
                                        <p id="number" class="invalid"data-i18n="pw error number">1 number and</b></p>
                                        <p id="special" class="invalid" data-i18n="pw error special">1 !@#$%&*()-__+.</p>
                                      </div>
                                </div><!-- form-group -->
                                <div class="form-group mg-b-0 mg-md-l-20 mg-t-20 mg-md-t-0 hidden" data-permission="frontend.dashboard.familyplanner">
                                    <label class="form-label">Rolle:</label>
                                    <select id="family-role-select" class="form-control" style="width:100px;">
                                        <option value="role.familyPlaner_user" selected="selected">Benutzer</option>
                                        <option value="role.familyPlaner_admin">Administrator</option>
                                    </select>
                                </div><!-- form-group -->
                                <div class="mg-sm-l-10 mg-t-10 mg-sm-t-25">
                                    <button id="createLoginButton" class="btn btn-az-primary text-nowrap pd-x-20" data-i18n="Create login">Login erstellen</button>
                                </div>
                            </div><!-- d-flex -->
                        </div>
                    </div><!-- col -->
                </div><!-- row -->

                <hr class="mg-y-20">

                <div id="manage-login-wrapper" data-permission='dashboard.management.usermanagement.show_logins' class="row mg-b-20 hidden">
                    <div class="col">
                        <div class="az-content-label tx-13 mg-b-5" data-i18n="Currently existing logins">Aktuell existierende Logins</div>
                        <p class="mg-b-20" data-i18n="Here you can update or delete existing logins.">Hier können Sie bestehende Logins die Berechtigungen anpassen, neue Passwörter vergeben oder löschen.</p>

                        <div class="mg-b-20" id="bootstraptablecontainer">
                            <table class="table az-table-reference mg-0" id="bootstraptable">
                                <thead>
                                <tr>
                                    <th data-field="username" class="wd-80p force-wrap" data-i18n="logins">Login</th>
                                    <th data-field="options" class="btn-icon-list" data-i18n="options">Optionen</th>
                                </tr>
                                <tr>
                                    <td colspan="2">Logins werden geladen...</td>
                                </tr>
                                </thead>
                            </table>
                        </div>

                    </div><!-- col -->
                </div><!-- row -->

            </div><!-- az-content-body -->
        </div><!-- container -->
    </div><!-- az-content -->

    {% include 'snippets/footer.tpl' %}
    <!-- az-footer -->
    
</div><!--contentwrapper-->

<div id="password_change_modal" style="display:none; cursor: default">
    <div class="password-change-dialog_wrapper modal-content">
        <div class="modal-header"><h6 class="modal-title" data-i18n="Change Password">Password ändern</h6></div>
        <div class="modal-body">
            <div class="row row-xs mg-b-20">
                <div class="col-md-5">
                    <label class="form-label text-left mg-b-0" data-i18n="Current password">Aktuelles Passwort:</label>
                </div>
                <div class="col-md-7 mg-t-5 mg-md-t-0"><input id="old_password" type="password"/></div>
            </div>
            <div class="row row-xs mg-b-20">
                <div class="col-md-5">
                    <label class="form-label text-left mg-b-0" data-i18n="New password">Neues Passwort:</label></div>
                <div class="col-md-7 mg-t-5 mg-md-t-0"><input id="new_password" type="password"/></div>
            </div>
            <div class="row row-xs mg-b-20">
                <div class="col-md-5">
                    <label class="form-label text-left mg-b-0" data-i18n="Confirm new password">Neues Passwort Bestätigen:</label>
                </div>
                <div class="col-md-7 mg-t-5 mg-md-t-0"><input id="new_password_confirm" type="password"/></div>
            </div>
        </div>
        <div class="modal-footer justify-content-center">
            <button id="submit_password_dialog_button" type="button" class="btn btn-indigo" data-i18n="Change password">Passwort ändern</button>
            <button onclick="$.unblockUI();" type="button" class="btn btn-outline-light" data-i18n="abort">Abbrechen</button>
        </div>
    </div>
</div>

{% include 'snippets/global-script-include.tpl' %}
<script src="/style-global/lib/bootstrap-table/js/bootstrap-table.min.js?v=[cs_version]"></script>

<script defer type="module">
    import {pbBrain} from '../csf-lib/pb-brain.js?v=[cs_version]';
    import {CONFIG} from '../pb-config.js?v=[cs_version]';

    document.API_BASE_URL = CONFIG.API_BASE_URL
    new pbBrain().boot("account-managment-circuit");


</script>

</body>

</html>